/* 
 * $Header: /home/morgan/pam/Linux-PAM-0.40/modules/pam_unix/RCS/pam_unix_acct.c,v 1.3 1996/05/26 04:12:52 morgan Exp $
 */

/*
 * Copyright Alexander O. Yuriev, 1996.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, and the entire permission notice in its entirety,
 *    including the disclaimer of warranties.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote
 *    products derived from this software without specific prior
 *    written permission.
 * 
 * ALTERNATIVELY, this product may be distributed under the terms of
 * the GNU Public License, in which case the provisions of the GPL are
 * required INSTEAD OF the above restrictions.  (This clause is
 * necessary due to a potential bad interaction between the GPL and
 * the restrictions contained in a BSD-style copyright.)
 * 
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */

/* 
 * $Log: pam_unix_acct.c,v $
 * Revision 1.3  1996/05/26 04:12:52  morgan
 * added static support
 *
 * Revision 1.2  1996/05/21 03:48:41  morgan
 * added const to definition of rcsid (squashed the last warning message)
 *
 * Revision 1.1  1996/04/19 03:26:19  alex
 * Initial revision
 *
 */
 
 
/* pam_unix_acct.c module */

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <pwd.h>

#ifndef LINUX    /* AGM added this as of 0.2 */

	#include <security/pam_appl.h>

#endif           /* ditto */

#define _PAM_EXTERN_FUNCTIONS
#include <security/pam_modules.h>
#include <syslog.h>
#include <unistd.h>

static const char rcsid[] = "$Id: pam_unix_acct.c,v 1.3 1996/05/26 04:12:52 morgan Exp $ pam_unix account management. alex@bach.cis.temple.edu";


PAM_EXTERN
int pam_sm_acct_mgmt(pam_handle_t *pamh, int flags,
		     int argc, const char **argv)
{
    return PAM_SUCCESS;
}


/* static module data */
#ifdef PAM_STATIC
struct pam_module _pam_unix_acct_modstruct = {
    "pam_unix_acct",
    NULL,
    NULL,
    pam_sm_acct_mgmt,
    NULL,
    NULL,
    NULL,
};
#endif
